CVE-2001-1355
CVSS10.0
发布时间 :2001-07-20 00:00:00
修订时间 :2008-09-05 16:26:20
NMCOS    

[原文]Buffer overflows in NetWin Authentication Module (NWAuth) 3.0b and earlier, as implemented in DMail, SurgeFTP, and possibly other packages, could allow attackers to execute arbitrary code via long arguments to (1) the -del command or (2) the -lookup command.


[CNNVD]Netwin NWAuth 缓冲区溢出漏洞(CNNVD-200107-130)

        CVE(CAN) ID: CAN-2001-1355
        
        
        
        NWAuth是Netwin的外部认证模块,被好几个Netwin的产品所采用。
        
        
        
        发现NWAuth的"-del"和"-lookup"命令存在缓冲区溢出漏洞,其中前者只可能被管
        
        理员所利用,而后者可以为任意用户利用。
        
        
        
        利用这个漏洞,攻击者可能通过使用NWAuth的服务执行任意代码,这可能会导致完全的
        
        系统控制。
        
        
        
        
        
        

- CVSS (基础分值)

CVSS分值: 10 [严重(HIGH)]
机密性影响: COMPLETE [完全的信息泄露导致所有系统文件暴露]
完整性影响: COMPLETE [系统完整性可被完全破坏]
可用性影响: COMPLETE [可能导致系统完全宕机]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:netwin:dmail:2.7
cpe:/a:netwin:dmail:2.8g
cpe:/a:netwin:dmail:2.5d
cpe:/a:netwin:dmail:2.8f
cpe:/a:netwin:dmail:2.8e
cpe:/a:netwin:dmail:2.7q
cpe:/a:netwin:surgeftp:1.0b
cpe:/a:netwin:dmail:2.8h
cpe:/a:netwin:dmail:2.7r
cpe:/a:netwin:dmail:2.8i
cpe:/a:netwin:surgeftp:2.0b
cpe:/a:netwin:surgeftp:2.0a

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2001-1355
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2001-1355
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200107-130
(官方数据源) CNNVD

- 其它链接及资源

http://xforce.iss.net/static/6865.php
(VENDOR_ADVISORY)  XF  netwin-nwauth-bo(6865)
http://www.securityfocus.com/bid/3077
(VENDOR_ADVISORY)  BID  3077
http://online.securityfocus.com/archive/1/198293
(VENDOR_ADVISORY)  BUGTRAQ  20010720 NetWin Authentication Module 3.0b password storage vulnerabilities / buffer overflows

- 漏洞信息

Netwin NWAuth 缓冲区溢出漏洞
危急 边界条件错误
2001-07-20 00:00:00 2005-10-20 00:00:00
远程  
        CVE(CAN) ID: CAN-2001-1355
        
        
        
        NWAuth是Netwin的外部认证模块,被好几个Netwin的产品所采用。
        
        
        
        发现NWAuth的"-del"和"-lookup"命令存在缓冲区溢出漏洞,其中前者只可能被管
        
        理员所利用,而后者可以为任意用户利用。
        
        
        
        利用这个漏洞,攻击者可能通过使用NWAuth的服务执行任意代码,这可能会导致完全的
        
        系统控制。
        
        
        
        
        
        

- 公告与补丁

        
        
        厂商补丁:
        
        
        
        目前厂商还没有提供补丁或者升级程序,我们建议使用此软件的用户随时关注厂商
        
        的主页以获取最新版本:
        
        
        http://netwinsite.com/

        

- 漏洞信息

14262
NetWin Authentication Module (NWAuth) Multiple Command Overflows
Input Manipulation
Loss of Integrity

- 漏洞描述

Unknown or Incomplete

- 时间线

2001-07-20 Unknow
Unknow Unknow

- 解决方案

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

Netwin NWAuth Buffer Overflow Vulnerabilities
Boundary Condition Error 3077
Yes No
2001-07-20 12:00:00 2009-07-11 06:56:00
Reported to Bugtraq by ByteRage <byterage@yahoo.com> on July 20, 2001.

- 受影响的程序版本

NetWin SurgeFTP 2.0 b
- Debian Linux 2.2
- Mandriva Linux Mandrake 7.2
- Microsoft Windows 2000 Professional
- Microsoft Windows 98
- Microsoft Windows NT 4.0
- RedHat Linux 7.0
- S.u.S.E. Linux 7.0
- Sun Solaris 8_sparc
- Sun Solaris 7.0
NetWin SurgeFTP 2.0 a
- Debian Linux 2.2
- Mandriva Linux Mandrake 7.2
- Microsoft Windows 2000 Professional
- Microsoft Windows 98
- Microsoft Windows NT 4.0
- RedHat Linux 7.0
- S.u.S.E. Linux 7.0
- Sun Solaris 8_sparc
- Sun Solaris 7.0
NetWin SurgeFTP 1.0 b
- Debian Linux 2.2
- Mandriva Linux Mandrake 7.2
- Microsoft Windows 2000 Professional
- Microsoft Windows 98
- Microsoft Windows NT 4.0
- RedHat Linux 7.0
- S.u.S.E. Linux 7.0
- Slackware Linux 7.0
- Sun Solaris 8_sparc
- Sun Solaris 7.0
NetWin DMail 2.8 i
NetWin DMail 2.8 h
NetWin DMail 2.8 g
NetWin DMail 2.8 f
NetWin DMail 2.8 e
NetWin DMail 2.7 r
NetWin DMail 2.7 q
NetWin DMail 2.7
NetWin DMail 2.5 d
- Apple Mac OS 9 9.0
- BSDI BSD/OS 4.0.1
- Digital OSF/1 3.2
- FreeBSD FreeBSD 5.0
- HP HP-UX 11.0 4
- IBM AIX 4.3.2
- Linux kernel 2.2 .x
- Microsoft Windows 95
- Microsoft Windows 98
- Microsoft Windows NT 4.0
- Sun Solaris 8_sparc

- 漏洞讨论

The Netwin Authentication module, or NWAuth, is an external authentication module used by several Netwin products.

Numerous boundary condition errors exist in NWAuth. It may be possible for an attacker to exploit these buffer overflows to execute arbitrary code through a service that uses NWAuth. This could lead to full system compromise.

- 漏洞利用

Currently the SecurityFocus staff are not aware of any exploits for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com &lt;mailto:vuldb@securityfocus.com&gt;.

- 解决方案

Currently the SecurityFocus staff are not aware of any vendor-supplied patches for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com <mailto:vuldb@securityfocus.com>.

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站